Re: addon updater


 

yeah, same to.

Just for completeness.

"start of log dump"

ERROR - stderr (08:34:43.594) - Thread-4 (10356):
Exception in thread Thread-4:
Traceback (most recent call last):
  File "C:\Users\shaun\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 377, in checkForAddonUpdates
    info = checkForAddonUpdate(curAddons)
  File "C:\Users\shaun\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 324, in checkForAddonUpdate
    raise RuntimeError("Failed to retrieve community add-ons")
RuntimeError: Failed to retrieve community add-ons

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "threading.pyc", line 926, in _bootstrap_inner
  File "threading.pyc", line 870, in run
  File "C:\Users\shaun\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonGuiEx.py", line 62, in addonUpdateCheck
    info = addonHandlerEx.checkForAddonUpdates()
  File "C:\Users\shaun\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 380, in checkForAddonUpdates
    raise RuntimeError("Cannot check for community add-on updates")
RuntimeError: Cannot check for community add-on updates
ERROR - stderr (08:51:28.728) - Thread-6 (268):
Exception in thread Thread-6:
Traceback (most recent call last):
  File "C:\Users\shaun\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 377, in checkForAddonUpdates
    info = checkForAddonUpdate(curAddons)
  File "C:\Users\shaun\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 324, in checkForAddonUpdate
    raise RuntimeError("Failed to retrieve community add-ons")
RuntimeError: Failed to retrieve community add-ons

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "threading.pyc", line 926, in _bootstrap_inner
  File "threading.pyc", line 870, in run
  File "C:\Users\shaun\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonGuiEx.py", line 62, in addonUpdateCheck
    info = addonHandlerEx.checkForAddonUpdates()
  File "C:\Users\shaun\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 380, in checkForAddonUpdates
    raise RuntimeError("Cannot check for community add-on updates")
RuntimeError: Cannot check for community add-on updates

"end of dump"

The same is happening with the main updater but thats not logged either, ie I can't check for updates in nvda.

Note for those reading this, the quoted start and end of dump labels are there so you can skip past the log dump but there it is, no one has dumped this out there but in short yeah.


It happened yesterday, cleared for a few hours, then did it again today.

Since the main site is fine I wander if its a secondary server.

Strangely its not effected anything else though the tv suddenly got an update earlier in the week.

On 1/10/2021 6:08 am, Don H wrote:
Running latest Win 10 and latest NVDA along with what I think is the latest version of the addon updater addon.  When I go to tools in the NVDA UI and run check for addon updates I get a dialog box indicating a error with no info as to what went wrong.



Join nvda@nvda.groups.io to automatically receive all group messages.